http://codeartifact.{region}.amazonaws.com/v1/package/version/asset#domain&repository&format&package&version&assetReturns an asset (or file) that is in a package. For example, for a Maven package version, use <code>GetPackageVersionAsset</code> to download a <code>JAR</code> file, a <code>POM</code> file, or any other assets in the package version.
The name of the domain that contains the repository that contains the package version with the requested asset.
The 12-digit account number of the Amazon Web Services account that owns the domain. It does not include dashes or spaces.
The repository that contains the package version with the requested asset.
A format that specifies the type of the package version with the requested asset file.
<p>The namespace of the package version with the requested asset file. The package version component that specifies its namespace depends on its type. For example:</p> <ul> <li> <p> The namespace of a Maven package version is its <code>groupId</code>. </p> </li> <li> <p> The namespace of an npm package version is its <code>scope</code>. </p> </li> <li> <p> Python and NuGet package versions do not contain a corresponding component, package versions of those formats do not have a namespace. </p> </li> <li> <p> The namespace of a generic package is its <code>namespace</code>. </p> </li> </ul>
The name of the package that contains the requested asset.
A string that contains the package version (for example, <code>3.5.2</code>).
The name of the requested asset.
The name of the package version revision that contains the requested asset.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://codeartifact.{region}.amazonaws.com/v1/package/version/asset#domain&repository&format&package&version&asset' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://codeartifact.{region}.amazonaws.com/v1/package/version/asset#domain&repository&format&package&version&assetReturns an asset (or file) that is in a package. For example, for a Maven package version, use <code>GetPackageVersionAsset</code> to download a <code>JAR</code> file, a <code>POM</code> file, or any other assets in the package version.
The name of the domain that contains the repository that contains the package version with the requested asset.
The 12-digit account number of the Amazon Web Services account that owns the domain. It does not include dashes or spaces.
The repository that contains the package version with the requested asset.
A format that specifies the type of the package version with the requested asset file.
<p>The namespace of the package version with the requested asset file. The package version component that specifies its namespace depends on its type. For example:</p> <ul> <li> <p> The namespace of a Maven package version is its <code>groupId</code>. </p> </li> <li> <p> The namespace of an npm package version is its <code>scope</code>. </p> </li> <li> <p> Python and NuGet package versions do not contain a corresponding component, package versions of those formats do not have a namespace. </p> </li> <li> <p> The namespace of a generic package is its <code>namespace</code>. </p> </li> </ul>
The name of the package that contains the requested asset.
A string that contains the package version (for example, <code>3.5.2</code>).
The name of the requested asset.
The name of the package version revision that contains the requested asset.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://codeartifact.{region}.amazonaws.com/v1/package/version/asset#domain&repository&format&package&version&asset' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}